Bug 1710417 - "small arrays" optimization of GHashTable causes lots of valgrind false positives
Summary: "small arrays" optimization of GHashTable causes lots of valgrind false posit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-15 14:01 UTC by Thomas Haller
Modified: 2019-06-17 18:28 UTC (History)
8 users (show)

Fixed In Version: glib2-2.60.4-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-17 18:28:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Thomas Haller 2019-05-15 14:01:45 UTC
Fedora 30 currently ships glib2-2.60.2-1.fc30.

In glib 2.59.0, GHashTable was optimized for "small arrays" ([1], [2])

[1] https://gitlab.gnome.org/GNOME/glib/commit/efda2be302910559fe29b7528488506b14285ea5
[2] https://gitlab.gnome.org/GNOME/glib/merge_requests/840

I very much appreciate attempts to make glib more efficient (thank you!).

But this causes *lots* of false positives when running under valgrind (in this case when testing NetworkManager).

This is already partly fixed in latest glib ([3], [4]).

[3] https://gitlab.gnome.org/GNOME/glib/commit/4e2acb47bde5c31dc8091f71226788c55680a061
[4] https://gitlab.gnome.org/GNOME/glib/issues/1749

Note that I think that this fix is not correct ([5])

[5] https://gitlab.gnome.org/GNOME/glib/issues/1749#note_511671



Once this is fixed, please backport them to Fedora 30.
Running NetworkManager under valgrind is important to us, and significantly hampered by this issue.

Comment 1 Thomas Haller 2019-05-21 08:24:11 UTC
Fixed now on master: https://gitlab.gnome.org/GNOME/glib/commit/32ea5b7e1f08709db9207528b3859f4c0e1ed8b3

Comment 2 Fedora Update System 2019-06-11 08:53:44 UTC
FEDORA-2019-c18d2bd1bd has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c18d2bd1bd

Comment 3 Fedora Update System 2019-06-12 01:29:57 UTC
glib2-2.60.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c18d2bd1bd

Comment 4 Fedora Update System 2019-06-17 18:28:19 UTC
glib2-2.60.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.